SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Server/CGI)  >   Red Hat JBoss Vendors:   Red Hat
(Red Hat Issues Fix) JBoss Authentication Flaw in JGroups Lets Remote Users Bypass Security Restrictions on the Target System
SecurityTracker Alert ID:  1036243
SecurityTracker URL:  http://securitytracker.com/id/1036243
CVE Reference:   CVE-2016-2141   (Links to External Site)
Date:  Jul 7 2016
Impact:   Disclosure of system information, Host/resource access via network, Modification of system information
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): EAP 5.2, 6.4, 7.0; Data Grid 6.6
Description:   A vulnerability was reported in JBoss. A remote user can bypass security controls on the target system.

JGroups does not properly authenticate new nodes joining the cluster. A remote user can bypass security controls on the target system to send and receive messages within the cluster, obtain potentially sensitive information, or spoof messages.

Red Hat JBoss Enterprise Application Platform and Red Hat JBoss Data Grid are affected.

Dennis Reed (Red Hat) reported this vulnerability.

Impact:   A remote user can bypass security controls on the target system.
Solution:   Red Hat has issued a fix for JBoss Fuse Service Works.

The Red Hat advisory is available at:

https://access.redhat.com/errata/RHSA-2016:1389

Vendor URL:  access.redhat.com/errata/RHSA-2016:1389 (Links to External Site)
Cause:   Authentication error
Underlying OS:  Linux (Red Hat Enterprise)

Message History:   This archive entry is a follow-up to the message listed below.
Jun 24 2016 JBoss Authentication Flaw in JGroups Lets Remote Users Bypass Security Restrictions on the Target System



 Source Message Contents

Subject:  [RHSA-2016:1389-01] Critical: Red Hat JBoss Fuse Service Works security update

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Critical: Red Hat JBoss Fuse Service Works security update
Advisory ID:       RHSA-2016:1389-01
Product:           Red Hat JBoss Fuse Service Works
Advisory URL:      https://access.redhat.com/errata/RHSA-2016:1389
Issue date:        2016-07-07
CVE Names:         CVE-2016-2141 
=====================================================================

1. Summary:

An update is now available for Red Hat JBoss Fuse Service Works.

Red Hat Product Security has rated this update as having a security impact
of Critical. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available for each vulnerability from
the CVE link(s) in the References section.

2. Description:

Red Hat JBoss Fuse Service Works is the next-generation ESB and business
process automation infrastructure.

Security Fix(es):

* It was found that JGroups did not require necessary headers for encrypt
and auth protocols from new nodes joining the cluster. An attacker could
use this flaw to bypass security restrictions, and use this vulnerability
to send and receive messages within the cluster, leading to information
disclosure, message spoofing, or further possible attacks. (CVE-2016-2141)

This issue was discovered by Dennis Reed (Red Hat).

3. Solution:

The References section of this erratum contains a download link (you must
log in to download the update). Before applying the update, back up your
existing installation, including all applications, configuration files,
databases and database settings, and so on.

It is recommended to halt the server by stopping the JBoss Application
Server process before installing this update; after installing the update,
restart the server by starting the JBoss Application Server process.

4. Bugs fixed (https://bugzilla.redhat.com/):

1313589 - CVE-2016-2141 Authorization bypass in JGroups

5. References:

https://access.redhat.com/security/cve/CVE-2016-2141
https://access.redhat.com/security/updates/classification/#critical
https://access.redhat.com/jbossnetwork/restricted/listSoftware.html?product=jboss.fuse.serviceworks&downloadType=securityPatches&version=6.0.0
https://access.redhat.com/articles/2360521

6. Contact:

The Red Hat security contact is <secalert@redhat.com>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2016 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iD8DBQFXfpW7XlSAg2UNWIIRAn75AJ9fdGxHjgJIlmOSo2NWVQMAfNbt+wCfZN9P
kjlyF1pOo6Rd15MvQylHuzA=
=4PZV
-----END PGP SIGNATURE-----

--
RHSA-announce mailing list
RHSA-announce@redhat.com
https://www.redhat.com/mailman/listinfo/rhsa-announce
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC